Name:		php-voms-admin
%define shortname pva
Version:	0.6
Release:	1%{?dist}
Summary:	Web based interface to control VOMS parameters written in PHP

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://grid.org.ua/development/pva/
#		The source was created from a svn checkout
#		svn co http://svn.nordugrid.org/repos/nordugrid/contrib/pva/tags/pva-0.6 php-voms-admin-0.6
#		tar -z -c --exclude .svn -f php-voms-admin-0.6.tar.gz php-voms-admin-0.6
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	httpd
Requires:	php
Requires:	php-mysql
Requires:	php-PHPMailer
Requires:	php-soap
Requires:	php-gd
Requires:	mysql >= 5.0.0
Requires:	vixie-cron
Provides:	%{shortname} = %{version}-%{release}

%description
PHP VOMS-Admin (PVA) originally implemented the same functions as the
traditional JAVA-based VOMS-Admin (v.2.0.18) interface for Apache
Tomcat. It was designed to be more flexible and stable, provide easy
scalability and minimize resource usage. PVA is fully compatible with
the vomsd mysql backend.

%prep
%setup -q -n %{name}-%{version}

# Remove bundled PHPMailer
rm modules/class.phpmailer.php modules/class.smtp.php
sed 's!//REDHAT_PHPMAILER//!!' -i modules/miscmail.php

%build
# Nothing to build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_datadir}/%{shortname}/conf
mkdir -p %{buildroot}%{_sysconfdir}/%{shortname}/vomses
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
mkdir -p %{buildroot}%{_localstatedir}/www/%{shortname}/mail-copies
mkdir -p %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/man5/

sed '/^ADDVOCONF=/s!=.*!=%{_sysconfdir}/%{shortname}/addvo.conf!' \
    addvo > %{buildroot}%{_sbindir}/%{shortname}-addvo
chmod 755 %{buildroot}%{_sbindir}/%{shortname}-addvo

install -p -m 644 index.php VOMSCompatibility.php VOMSCompatibility2.php rpc.php \
    %{buildroot}%{_datadir}/%{shortname}

for dir in interfaces js kcaptcha lang modules pics styles wsdl ; do
    cp -pr ${dir} %{buildroot}%{_datadir}/%{shortname}
done

sed -e 's!%%SYSCONFDIR%%!%{_sysconfdir}!g' \
    -e 's!%%LIBDIR%%!%{_libdir}!g' \
    addvo.conf > %{buildroot}%{_sysconfdir}/%{shortname}/addvo.conf

sed -e 's!%%INSTALLROOT%%!%{_datadir}/%{shortname}!g' \
    -e '/\$mail_filecopies_path=/s!".*"!"%{_localstatedir}/www/%{shortname}/mail-copies"!' \
    conf/config.inc > %{buildroot}%{_sysconfdir}/%{shortname}/%{shortname}-config

install -p -m 640 conf/vomses/external \
    %{buildroot}%{_sysconfdir}/%{shortname}/vomses

sed 's!%%DATADIR%%!%{_datadir}!g' \
    %{shortname}.conf > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{shortname}.conf

ln -s %{_sysconfdir}/%{shortname}/%{shortname}-config \
    %{buildroot}%{_datadir}/%{shortname}/conf/config.inc
ln -s %{_sysconfdir}/%{shortname}/vomses \
    %{buildroot}%{_datadir}/%{shortname}/conf

install -p -m 644 pva-addvo.1 %{buildroot}%{_mandir}/man1/%{shortname}-addvo.1
install -p -m 644 addvo.conf.5 %{buildroot}%{_mandir}/man5/addvo.conf.5
install -p -m 644 pva-config.5 %{buildroot}%{_mandir}/man5/%{shortname}-config.5

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sbindir}/%{shortname}-addvo
%{_mandir}/man1/%{shortname}-addvo.1*
%{_mandir}/man5/addvo.conf.5*
%{_mandir}/man5/%{shortname}-config.5*
%{_datadir}/%{shortname}
%dir %{_localstatedir}/www/%{shortname}
%attr(-,apache,apache) %{_localstatedir}/www/%{shortname}/mail-copies
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{shortname}.conf
%attr(640,root,root) %config(noreplace) %{_sysconfdir}/%{shortname}/addvo.conf
%attr(640,apache,apache) %config(noreplace) %{_sysconfdir}/%{shortname}/%{shortname}-config
%attr(640,apache,apache) %config(noreplace) %{_sysconfdir}/%{shortname}/vomses/external
%doc AUTHORS CHANGELOG LICENSE NOTES README README.transactions README.Fedora

%changelog
* Mon Jun 20 2011 Andrii Salnikov <manf@grid.org.ua> 0.6-1
- transaction log viewer
- event log subsystem
- error notification
- handle different autoincrement ids in replication process
- bug-fixes and enchancements, see CHANGELOG for details
- replication
* Mon Jun 07 2010 Andrii Salnikov <manf@grid.org.ua> 0.5-1
- First packaged version 0.5 released

